Page MenuHomePhabricator

mobile-html: iOS prototype
Closed, ResolvedPublic

Description

Create a rough version of the iOS app utilizing the new mobile-html endpoint to find any issues necessary for RI to work out.

Specific areas of interest:

  • Saving pages for offline (caching linked js/css)
  • Pre-load customization
    • Theme setting
    • Margin width
    • Table collapsing & other user preferences

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 12 2018, 12:44 PM
JMinor triaged this task as Normal priority.Oct 29 2018, 6:49 PM

Related tasks:

Tracking:

  • mobile-html: allow clients to update theme & dim images: T218049
  • mobile-html: allow clients to adjust tables: T218050
  • mobile-html: adjust page margins/padding: T201382
  • mobile-html-offline-resources endpoint: T217349
  • Localize the strings used by page library transforms: T205550
  • [Bug] Infobox header remains full width when infobox is only partial width on mobile-html pages: T217417
  • [BUG] mobile-html article body has wrong background color: T217837

To do:

  • Session & SchemeHandler improvements to prepare for mobile-html: T217411
JMinor awarded a token.Apr 9 2019, 5:30 PM
JMinor closed this task as Resolved.
JMinor added a subscriber: JMinor.

Great work Natalia!